Table of Contents

Class WithAliasItemRequestBuilder

Namespace
Keycloak.AuthServices.Sdk.Kiota.Admin.Admin.Realms.Item.Organizations.Item.IdentityProviders.Item
Assembly
Keycloak.AuthServices.Sdk.Kiota.dll

Builds and executes requests for operations under \admin\realms{realm}\organizations{org-id}\identity-providers{alias}

public class WithAliasItemRequestBuilder : BaseRequestBuilder
Inheritance
BaseRequestBuilder
WithAliasItemRequestBuilder
Inherited Members
BaseRequestBuilder.PathParameters
BaseRequestBuilder.RequestAdapter
BaseRequestBuilder.UrlTemplate

Constructors

WithAliasItemRequestBuilder(Dictionary<string, object>, IRequestAdapter)

Instantiates a new WithAliasItemRequestBuilder and sets the default values.

public WithAliasItemRequestBuilder(Dictionary<string, object> pathParameters, IRequestAdapter requestAdapter)

Parameters

pathParameters Dictionary<string, object>

Path parameters for the request

requestAdapter IRequestAdapter

The request adapter to use to execute the requests.

WithAliasItemRequestBuilder(string, IRequestAdapter)

Instantiates a new WithAliasItemRequestBuilder and sets the default values.

public WithAliasItemRequestBuilder(string rawUrl, IRequestAdapter requestAdapter)

Parameters

rawUrl string

The raw URL to use for the request builder.

requestAdapter IRequestAdapter

The request adapter to use to execute the requests.

Methods

DeleteAsync(Action<RequestConfiguration<DefaultQueryParameters>>?, CancellationToken)

Breaks the association between the identity provider and the organization. The provider itself is not deleted. If no provider is found, or if it is not currently associated with the org, an error response is returned

public Task DeleteAsync(Action<RequestConfiguration<DefaultQueryParameters>>? requestConfiguration = null, CancellationToken cancellationToken = default)

Parameters

requestConfiguration Action<RequestConfiguration<DefaultQueryParameters>>

Configuration for the request such as headers, query parameters, and middleware options.

cancellationToken CancellationToken

Cancellation token to use when cancelling requests

Returns

Task

GetAsync(Action<RequestConfiguration<DefaultQueryParameters>>?, CancellationToken)

Searches for an identity provider with the given alias. If one is found and is associated with the organization, it is returned. Otherwise, an error response with status NOT_FOUND is returned

public Task<IdentityProviderRepresentation?> GetAsync(Action<RequestConfiguration<DefaultQueryParameters>>? requestConfiguration = null, CancellationToken cancellationToken = default)

Parameters

requestConfiguration Action<RequestConfiguration<DefaultQueryParameters>>

Configuration for the request such as headers, query parameters, and middleware options.

cancellationToken CancellationToken

Cancellation token to use when cancelling requests

Returns

Task<IdentityProviderRepresentation>

A IdentityProviderRepresentation

ToDeleteRequestInformation(Action<RequestConfiguration<DefaultQueryParameters>>?)

Breaks the association between the identity provider and the organization. The provider itself is not deleted. If no provider is found, or if it is not currently associated with the org, an error response is returned

public RequestInformation ToDeleteRequestInformation(Action<RequestConfiguration<DefaultQueryParameters>>? requestConfiguration = null)

Parameters

requestConfiguration Action<RequestConfiguration<DefaultQueryParameters>>

Configuration for the request such as headers, query parameters, and middleware options.

Returns

RequestInformation

A Microsoft.Kiota.Abstractions.RequestInformation

ToGetRequestInformation(Action<RequestConfiguration<DefaultQueryParameters>>?)

Searches for an identity provider with the given alias. If one is found and is associated with the organization, it is returned. Otherwise, an error response with status NOT_FOUND is returned

public RequestInformation ToGetRequestInformation(Action<RequestConfiguration<DefaultQueryParameters>>? requestConfiguration = null)

Parameters

requestConfiguration Action<RequestConfiguration<DefaultQueryParameters>>

Configuration for the request such as headers, query parameters, and middleware options.

Returns

RequestInformation

A Microsoft.Kiota.Abstractions.RequestInformation

WithUrl(string)

Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.

public WithAliasItemRequestBuilder WithUrl(string rawUrl)

Parameters

rawUrl string

The raw URL to use for the request builder.

Returns

WithAliasItemRequestBuilder

A WithAliasItemRequestBuilder